PLplot: drivers.h File Reference

PLplot 5.15.0

Functions
drivers.h File Reference
`#include "pdf.h"`
`#include "plstrm.h"`

Go to the source code of this file.

## Functions
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_aqt (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_epscairo (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_extcairo (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_memcairo (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_pdfcairo (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_pngcairo (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_pscairo (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_svgcairo (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_wincairo (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_xcairo (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_cgm (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_gif (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_jpeg (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_png (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_mem (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_ntk (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_null (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_pdf (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_plm (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_psc (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_ps (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_pstex (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_psttfc (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_psttf (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_bmpqt (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_epsqt (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_extqt (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_jpgqt (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_memqt (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_pdfqt (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_pngqt (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_ppmqt (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_qtwidget (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_svgqt (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_tiffqt (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_svg (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_tk (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_tkwin (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_wingcc (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_wxpng (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_wxwidgets (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_xfig (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_xw (PLDispatchTable *pdt)
PLDLLIMPEXP_DRIVER void | plD_dispatch_init_wingdi (PLDispatchTable *pdt)
void | plbuf_init (PLStream *)
void | plbuf_line (PLStream *, short, short, short, short)
void | plbuf_polyline (PLStream *, short *, short *, PLINT)
void | plbuf_eop (PLStream *)
void | plbuf_bop (PLStream *)
void | plbuf_tidy (PLStream *)
void | plbuf_state (PLStream *, PLINT)
void | plbuf_esc (PLStream *, PLINT, void *)
void | plbuf_di (PLStream *)
void | plbuf_setsub (PLStream *)
void | plbuf_ssub (PLStream *)
void | plbuf_clip (PLStream *)
PLDLLIMPEXP void * | plbuf_save (PLStream *, void *)
PLDLLIMPEXP void * | plbuf_switch (PLStream *, void *)
PLDLLIMPEXP void | plbuf_restore (PLStream *, void *)
PLDLLIMPEXP void | plRemakePlot (PLStream *)
void | plFlushBuffer (PLStream *pls, PLBOOL restart, size_t amount)

## Function Documentation

## ◆ plbuf_bop()

void plbuf_bop | ( | PLStream * |  | ) |

Definition at line 141 of file plbuf.c.

## ◆ plbuf_clip()

void plbuf_clip | ( | PLStream * |  | ) |

Definition at line 615 of file plbuf.c.

## ◆ plbuf_di()

void plbuf_di | ( | PLStream * |  | ) |

Definition at line 571 of file plbuf.c.

## ◆ plbuf_eop()

void plbuf_eop | ( | PLStream * |  | ) |

Definition at line 122 of file plbuf.c.

## ◆ plbuf_esc()

void plbuf_esc | ( | PLStream * | ,
|  | PLINT | ,
|  | void * |
| ) |  |

Definition at line 494 of file plbuf.c.

## ◆ plbuf_init()

void plbuf_init | ( | PLStream * |  | ) |

Definition at line 89 of file plbuf.c.

## ◆ plbuf_line()

void plbuf_line | ( | PLStream * | ,
|  | short | ,
|  | short | ,
|  | short | ,
|  | short |
| ) |  |

Definition at line 237 of file plbuf.c.

## ◆ plbuf_polyline()

void plbuf_polyline | ( | PLStream * | ,
|  | short * | ,
|  | short * | ,
|  | PLINT |
| ) |  |

Definition at line 268 of file plbuf.c.

## ◆ plbuf_restore()

PLDLLIMPEXP void plbuf_restore | ( | PLStream * | ,
|  | void * |
| ) |  |

Definition at line 1832 of file plbuf.c.

## ◆ plbuf_save()

PLDLLIMPEXP void* plbuf_save | ( | PLStream * | ,
|  | void * |
| ) |  |

Definition at line 1733 of file plbuf.c.

## ◆ plbuf_setsub()

void plbuf_setsub | ( | PLStream * |  | ) |

Definition at line 192 of file plbuf.c.

## ◆ plbuf_ssub()

void plbuf_ssub | ( | PLStream * |  | ) |

Definition at line 209 of file plbuf.c.

## ◆ plbuf_state()

void plbuf_state | ( | PLStream * | ,
|  | PLINT |
| ) |  |

Definition at line 295 of file plbuf.c.

## ◆ plbuf_switch()

PLDLLIMPEXP void* plbuf_switch | ( | PLStream * | ,
|  | void * |
| ) |  |

Definition at line 1856 of file plbuf.c.

## ◆ plbuf_tidy()

void plbuf_tidy | ( | PLStream * |  | ) |

## ◆ plD_dispatch_init_aqt()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_aqt | ( | PLDispatchTable * | pdt | ) |

Definition at line 208 of file aqt.c.

## ◆ plD_dispatch_init_bmpqt()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_bmpqt | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_cgm()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_cgm | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_epscairo()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_epscairo | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_epsqt()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_epsqt | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_extcairo()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_extcairo | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_extqt()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_extqt | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_gif()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_gif | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_jpeg()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_jpeg | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_jpgqt()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_jpgqt | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_mem()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_mem | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_memcairo()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_memcairo | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_memqt()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_memqt | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_ntk()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_ntk | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_null()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_null | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_pdf()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_pdf | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_pdfcairo()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_pdfcairo | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_pdfqt()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_pdfqt | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_plm()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_plm | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_png()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_png | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_pngcairo()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_pngcairo | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_pngqt()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_pngqt | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_ppmqt()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_ppmqt | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_ps()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_ps | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_psc()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_psc | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_pscairo()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_pscairo | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_pstex()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_pstex | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_psttf()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_psttf | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_psttfc()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_psttfc | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_qtwidget()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_qtwidget | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_svg()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_svg | ( | PLDispatchTable * | pdt | ) |

Definition at line 129 of file svg.c.

## ◆ plD_dispatch_init_svgcairo()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_svgcairo | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_svgqt()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_svgqt | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_tiffqt()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_tiffqt | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_tk()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_tk | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_tkwin()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_tkwin | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_wincairo()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_wincairo | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_wingcc()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_wingcc | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_wingdi()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_wingdi | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_wxpng()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_wxpng | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_wxwidgets()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_wxwidgets | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_xcairo()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_xcairo | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_xfig()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_xfig | ( | PLDispatchTable * | pdt | ) |

## ◆ plD_dispatch_init_xw()

PLDLLIMPEXP_DRIVER void plD_dispatch_init_xw | ( | PLDispatchTable * | pdt | ) |

## ◆ plFlushBuffer()

void plFlushBuffer | ( | PLStream * | pls,
|  | PLBOOL | restart,
|  | size_t | amount
| ) |  |

Definition at line 1416 of file plbuf.c.

## ◆ plRemakePlot()

PLDLLIMPEXP void plRemakePlot | ( | PLStream * |  | ) |

Definition at line 1397 of file plbuf.c.